# Enum Class CAUVCommandStockReposit

java.lang.Object
java.lang.Enum<CAUVCommandStockReposit>
com.io7m.cardant.protocol.inventory.cb.internal.CAUVCommandStockReposit

All Implemented Interfaces:
  `CAProtocolMessageValidatorType<CAICommandStockReposit,CAI1CommandStockReposit>`, `Serializable`, `Comparable<CAUVCommandStockReposit>`, `Constable`

public enum CAUVCommandStockReposit extends Enum<CAUVCommandStockReposit> implements CAProtocolMessageValidatorType<CAICommandStockReposit,CAI1CommandStockReposit>
A validator.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMMAND_STOCK_REPOSIT`
  A validator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CAICommandStockReposit`
  `convertFromWire(CAI1CommandStockReposit message)`
  Convert a wire message to a core message.
  `CAI1CommandStockReposit`
  `convertToWire(CAICommandStockReposit message)`
  Convert a core message to a wire message.
  `static CAUVCommandStockReposit`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CAUVCommandStockReposit[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMMAND_STOCK_REPOSIT

    public static final CAUVCommandStockReposit COMMAND_STOCK_REPOSIT
    A validator.

- ## Method Details

  - ### values

    public static CAUVCommandStockReposit[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CAUVCommandStockReposit valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### convertToWire

    public CAI1CommandStockReposit convertToWire(CAICommandStockReposit message)
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a core message to a wire message.
    Specified by:
      `convertToWire` in interface `CAProtocolMessageValidatorType<CAICommandStockReposit,CAI1CommandStockReposit>`
    Parameters:
      `message` - The core message
    Returns:
      The wire message

  - ### convertFromWire

    public CAICommandStockReposit convertFromWire(CAI1CommandStockReposit message)
    Description copied from interface: `CAProtocolMessageValidatorType`
    Convert a wire message to a core message.
    Specified by:
      `convertFromWire` in interface `CAProtocolMessageValidatorType<CAICommandStockReposit,CAI1CommandStockReposit>`
    Parameters:
      `message` - The wire message
    Returns:
      The core message